aprofe/routes/web.php
<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

/* Route::get('/', function () {
    return view('welcome');
}); */
Route::get('/', 'HomeController@index')->name('home');

Auth::routes(['register' => false]);

Route::get('/home', 'HomeController@index')->name('home');

Route::get('/profesors','ProfesorController@webIndex')->name('profesors.webIndex');
Route::get('/profesors/create','ProfesorController@create')->name('profesors.create');
Route::post('/profesors/store','ProfesorController@webStore')->name('profesors.store');
Route::put('/profesors/update/{profesor}','ProfesorController@update')->name('profesors.update');
Route::get('/profesors/show/{profesor}','ProfesorController@show')->name('profesors.show');
Route::get('/profesors/edit/{profesor}','ProfesorController@edit')->name('profesors.edit');
Route::delete('/profesors/destroy/{profesor}','ProfesorController@destroy')->name('profesors.destroy');
Route::get('/profesors/export', 'ProfesorController@export')->name('profesors.export');

Route::get('/doners','DonerController@webIndex')->name('doners.webIndex');
Route::get('/doners/show/{doner}','DonerController@show')->name('doners.show');
Route::get('/doners/export', 'DonerController@export')->name('doners.export');

Route::get('/posts','PostController@webIndex')->name('posts.webIndex');
Route::get('/posts/create','PostController@create')->name('posts.create');
Route::post('/posts/store','PostController@webStore')->name('posts.store');
Route::put('/posts/update/{post}','PostController@update')->name('posts.update');
Route::get('/posts/show/{post}','PostController@show')->name('posts.show');
Route::get('/posts/edit/{post}','PostController@edit')->name('posts.edit');
Route::delete('/posts/destroy/{post}','PostController@destroy')->name('posts.destroy');
Route::post('/posts/{post}/setfeatured','PostController@setFeatured');
Route::post('/posts/{post}/unsetfeatured','PostController@unsetFeatured');

Route::resource('categories','CategoryController');

Route::resource('comments','CommentController');

Route::resource('paymentComments', 'PaymentCommentController');

aprofe/resources/views/donations/index.blade.php
@extends('layouts.app')

@section('content')
<div class="main container">
<h1>Donaciones</h1>
        <div class="card mt-4">
            <div class="card-header">
                <div class="card-options">
                    <a class="btn btn-success btn-sm" style="float:right; color:white;" href="{{route('doners.export')}}"> Descargar Excel</a>
                </div>
            </div>
            <div class="card-body">
                <table class="table table-striped text-nowrap table-responsive-lg">
                    <thead>
                        <tr>
                            <th>
                                id
                            </th>
                            <th>
                                Nombre
                            </th>
                            <th>
                                Apellido
                            </th>
                            <th>
                                Email
                            </th>
                            <th>
                                #Confirmacion
                            </th>
                            <th>
                                Estado
                            </th>
                            <th>
                                Fecha de Donacion
                            </th>
                            @if((auth()->user()) && (auth()->user()->isSuperAdmin == 1))
                                    <th>
                                        Acciones
                                    </th>
                            @endif
                        </tr>
                    </thead>
                    <tbody>
                        @foreach ($doners as $doner)
                        <tr>
                            <td>
                                @if(auth()->user())
                                    <a href="{{route('doners.show', $doner->id)}}">
                                        {{$doner->id}}
                                    </a>
                                @else
                                    <a>
                                        {{$doner->id}}
                                    </a>
                                @endif
                            </td>
                            <td>
                                @if($doner->name)
                                {{$doner->name}}
                                @else
                                    <a>Anonimo</a>
                                @endif
                            </td>
                            <td>@if($doner->lastName)
                                {{$doner->lastName}}
                                @else
                                    <a>Anonimo</a>
                                @endif
                            </td>
                            <td>
                                {{$doner->email}}
                            </td>
                            <td>
                                {{$doner->transaction_number}}
                            </td>
                            <td>
                                @if($doner->confirmation_status == 0)
                                <h5><span class="badge badge-danger badge-f">Sin Confirmar</span></h5> 
                                @elseif($doner->confirmation_status == 1)
                                <h5><span class="badge badge-success badge-f">Confirmado</span></h5> 
                                @endif
                            </td>
                            <td>
                                @if($doner->date)
                                {{$doner->date->formatLocalized('%d %B %Y %I:%M')}}
                                @else
                                    <a>Sin Registrar</a>
                                @endif
                            </td>
                            @if(auth()->user())
                                @if(auth()->user()->isSuperAdmin == 1)
                                    <td>
                                        <form class="d-inline-block" onsubmit="return confirm('Esta seguro de querer eliminar el registro?')" action="{{route('doners.destroy', $doner->id)}}" method="post">
                                            @csrf
                                            @method('delete')
                                            <button type="submit" class="btn btn-danger">Borrar</button>
                                        </form>
                                    </td>
                                @endif    
                            @endif
                        </tr>
                        @endforeach
                    </tbody>
                </table>
            </div>
        </div>
        <div class="mt-4 d-flex justify-content-center">
            {{$doners->links()}}
        </div>
</div>
@endsection

aprofe/resources/views/donations/show.blade.php
@extends('layouts.app')
@section('content')
<div class="main container">

    <div class="form-group">
        <label for="confirmation_status" class="">Estado de Confirmacion</label>
        <div class="col-md-6">
            @if($doner->confirmation_status == 0)
            <h5><span class="badge badge-danger badge-f">Sin Validar</span></h5>
            @elseif($doner->confirmation_status == 1)
            <h5><span class="badge badge-success badge-f">confirmado</span></h5> 
            @endif
        </div>
    </div>
<div class="row">
    <div class="form-group col-md-6">
        <label for="name" class="">Nombre</label>
        <div class="col">
            <input type="text" name="name" id="name" class="form-control" value="{{$doner->name}}" disabled>
        </div>
    </div>

    <div class="form-group col-md-6">
        <label for="lastName" class="">Apellido</label>
        <div class="col">
            <input type="text" name="lastName" id="lastName" class="form-control" value="{{$doner->lastName}}" disabled>
        </div>
    </div>
</div>

<div class="row">
    <div class="form-group col-md-6">
        <label for="phone" class="">Telefono</label>
        <div class="col">
            <input type="text" name="phone" id="phone" class="form-control" value="{{$doner->phone}}" disabled>
        </div>
    </div>
    
    <div class="form-group col-md-6">
        <label for="email" class="">Email</label>
        <div class="col">
            <input type="text" name="email" id="email" class="form-control" value="{{$doner->email}}" disabled>
        </div>
    </div>
</div>


<div class="row">
    <div class="form-group col-md-4">
        <label for="transaction_type" class="">Tipo de Tansaccion</label>
        <div class="col">
            <input type="text" name="transaction_type" id="transaction_type" class="form-control" value="{{$doner->transaction_type}}" disabled>
        </div>
    </div>
<!-- Si es Zelle -->
@if($doner->transaction_type == "zelle")
    <div class="form-group col-md-4">
        <label for="holder" class="">Titular</label>
        <div class="col">
            <input type="text" name="holder" id="holder" class="form-control" value="{{$doner->holder}}" disabled>
        </div>
    </div>

<!-- Si no (Pago Movil, Transferencia, Deposito)-->
@else
    <div class="form-group col-md-4">
        <label for="issuing_bank" class="">Banco Emisor</label>
        <div class="col">
            <input type="text" name="issuing_bank" id="issuing_bank" class="form-control" value="{{$doner->issuing_bank}}" disabled>
        </div>
    </div>
    <div class="form-group col-md-4">
        <label for="receiving_bank" class="">Banco Receptor</label>
        <div class="col">
            <input type="text" name="receiving_bank" id="receiving_bank" class="form-control" value="{{$doner->receiving_bank}}" disabled>
        </div>
    </div>

@endif
</div>
<div class="row">
    <div class="form-group col-md-4">
        <label for="currency" class="">Moneda</label>
        <div class="col">
            <input type="text" name="currency" id="currency" class="form-control" value="{{$doner->currency}}" disabled>
        </div>
    </div>
    <div class="form-group col-md-4">
        <label for="ammount" class="">Monto</label>
        <div class="col">
            <input type="text" name="ammount" id="ammount" class="form-control" value="{{$doner->ammount}}" disabled>
        </div>
    </div>
    <div class="form-group col-md-4">
        <label for="transaction_number" class="">Numero de Confirmacion</label>
        <div class="col">
            <input type="text" name="transaction_number" id="transaction_number" class="form-control" value="{{$doner->transaction_number}}" disabled>
        </div>
    </div>
    <div class="form-group col-md-4">
        <label for="date" class="">Fecha</label>
        <div class="col">
            @if($doner->date)
            <input type="text" name="date" id="date" class="form-control" value="{{$doner->date->formatLocalized('%d %B %Y %I:%M')}}" disabled>
            @else
            <input type="text" name="date" id="date" class="form-control" value="Sin Fecha Agregada" disabled>
            @endif   
        </div>
    </div>
</div>



<div class="row">
    <div class="form-group">
        <label for="transaction_number" class="">Observaciones</label>
        <div class="col">
            <p>
                {!!$doner->observations!!}
            </p>
        </div>
    </div>
</div>

<div class="class">
    <div class="card-body">
        <form action="{{route('paymentComments.store')}}" method="post">
            @csrf
            <div class="form-group">
                <label for="comment">Agregar Comentario</label>
                <textarea name="comment" id="comment" cols="30" rows="4" class="form-control"></textarea>
                <input type="hidden" name="doner_id" id="doner_id" value='{{$doner->id}}'>
            </div>
            @if(auth()->user())
                <!-- @if(auth()->user()->isSuperAdmin == 1) -->
                    <div class="form-group">
                            <label for="status">Cambiar Status</label>
                            <select class="form-control" name="status" id="status">
                                <option selected disabled hidden>Seleccione una opcion</option>
                                <option value="0">Sin Confirmar</option>
                                <option value="1">Confirmado</option>
                            </select>
                    </div>
                <!-- @endif -->
            @endif
            <div class="form-group">
                <button type="submit" class="btn btn-outline-info">Guardar</button>
            </div>
        </form>
    </div>
</div>


    
@if($paymentComments != null && $paymentComments->count()>0)
    <div class="form-group">
        @foreach($paymentComments as $comment)
        <div class="card-body">
            <blockquote class="blockquote mb-0">
                <p>{{$comment->content}}</p>
                <footer class="blockquote-footer">{{$comment->user->name}} | {{$comment->user->email}} {{$comment->created_at->formatLocalized('%d %B %Y %I:%M')}}{{$comment->created_at->format('a')}}</footer>
            </blockquote>
        </div>
        {{-- <label for="created-by">Comment By {{$comment->user->name}}| {{$comment->user->email}}</label>
        <p>{{$comment->content}}</p> --}}
        @endforeach
    </div>
@else
<div class="form-group">
    <p>Sin comentarios</p>
</div>
@endif
    
    
    
</div>
@endsection